Loading...
Searching...
No Matches
render_option

## Detailed Description

Definition at line 38 of file render_option.h.

## Public Member Functions

| render_option ()
void | put_paraview (std::ostream &py) const

## Static Public Member Functions

static std::string | python (const point &x, size_t d=3)

## Public Attributes

bool | showlabel
bool | stereo
bool | elevation
bool | iso
bool | cut
bool | grid
bool | fill
bool | volume
bool | view_2d
bool | view_map
bool | high_order
bool | color
bool | gray
bool | black_and_white
bool | have_opacity_bug
size_t | n_isovalue
size_t | n_isovalue_negative
size_t | branch_size
Float | scale
Float | f_min
Float | f_max
Float | isovalue
point_basic< size_t > | resolution
point | xmin
point | xmax
point | origin
point | normal
std::string | format
std::string | mark
std::string | label
std::string | valued
std::string | style

## Constructor & Destructor Documentation

## render_option()

render_option | ( |  | ) |

Definition at line 34 of file render_option.cc.

## Member Function Documentation

## put_paraview()

void put_paraview | ( | std::ostream & | py | ) | const

Definition at line 48 of file render_option.cc.

## python()

std::string python | ( | const point & | x,
|  | size_t | d = 3 )

static

Definition at line 104 of file render_option.cc.

## Member Data Documentation

## showlabel

bool showlabel

mutable

Definition at line 44 of file render_option.h.

## stereo

bool stereo

Definition at line 44 of file render_option.h.

## elevation

bool elevation

Definition at line 44 of file render_option.h.

## iso

bool iso

Definition at line 44 of file render_option.h.

## cut

bool cut

Definition at line 44 of file render_option.h.

## grid

bool grid

Definition at line 44 of file render_option.h.

## fill

bool fill

Definition at line 44 of file render_option.h.

## volume

bool volume

Definition at line 44 of file render_option.h.

## view_2d

bool view_2d

Definition at line 44 of file render_option.h.

## view_map

bool view_map

Definition at line 45 of file render_option.h.

## high_order

bool high_order

Definition at line 45 of file render_option.h.

## color

bool color

Definition at line 45 of file render_option.h.

## gray

bool gray

Definition at line 45 of file render_option.h.

## black_and_white

bool black_and_white

Definition at line 45 of file render_option.h.

## have_opacity_bug

bool have_opacity_bug

Definition at line 45 of file render_option.h.

## n_isovalue

size_t n_isovalue

mutable

Definition at line 46 of file render_option.h.

## n_isovalue_negative

size_t n_isovalue_negative

Definition at line 46 of file render_option.h.

## branch_size

size_t branch_size

Definition at line 46 of file render_option.h.

## scale

Float scale

mutable

Definition at line 47 of file render_option.h.

## f_min

Float f_min

Definition at line 47 of file render_option.h.

## f_max

Float f_max

Definition at line 47 of file render_option.h.

## isovalue

Float isovalue

Definition at line 47 of file render_option.h.

## resolution

point_basic<size_t> resolution

mutable

Definition at line 48 of file render_option.h.

## xmin

point xmin

mutable

Definition at line 49 of file render_option.h.

## xmax

point xmax

Definition at line 49 of file render_option.h.

## origin

point origin

Definition at line 49 of file render_option.h.

## normal

point normal

Definition at line 49 of file render_option.h.

## format

std::string format

mutable

Definition at line 50 of file render_option.h.

## mark

std::string mark

Definition at line 50 of file render_option.h.

## label

std::string label

Definition at line 50 of file render_option.h.

## valued

std::string valued

Definition at line 50 of file render_option.h.

## style

std::string style

Definition at line 50 of file render_option.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/render_option.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/render_option.cc